summaryrefslogtreecommitdiff
path: root/dev-ruby
diff options
context:
space:
mode:
Diffstat (limited to 'dev-ruby')
-rw-r--r--dev-ruby/mixlib-shellout/mixlib-shellout-3.2.7.ebuild4
-rw-r--r--dev-ruby/puppetdb-termini/Manifest1
-rw-r--r--dev-ruby/puppetdb-termini/puppetdb-termini-8.1.0.ebuild28
-rw-r--r--dev-ruby/rash_alt/rash_alt-0.4.12.ebuild4
-rw-r--r--dev-ruby/regexp_property_values/Manifest1
-rw-r--r--dev-ruby/regexp_property_values/regexp_property_values-1.5.1.ebuild36
6 files changed, 41 insertions, 33 deletions
diff --git a/dev-ruby/mixlib-shellout/mixlib-shellout-3.2.7.ebuild b/dev-ruby/mixlib-shellout/mixlib-shellout-3.2.7.ebuild
index 5b3345f42e79..dbfef33924a3 100644
--- a/dev-ruby/mixlib-shellout/mixlib-shellout-3.2.7.ebuild
+++ b/dev-ruby/mixlib-shellout/mixlib-shellout-3.2.7.ebuild
@@ -1,8 +1,8 @@
-# Copyright 1999-2023 Gentoo Authors
+# Copyright 1999-2024 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=8
-USE_RUBY="ruby31 ruby32"
+USE_RUBY="ruby31 ruby32 ruby33"
RUBY_FAKEGEM_RECIPE_TEST="rspec3"
diff --git a/dev-ruby/puppetdb-termini/Manifest b/dev-ruby/puppetdb-termini/Manifest
index bf4a249cc0ea..1c305a42f651 100644
--- a/dev-ruby/puppetdb-termini/Manifest
+++ b/dev-ruby/puppetdb-termini/Manifest
@@ -1,3 +1,2 @@
DIST puppetdb-termini_7.13.0-1bullseye_all.deb 22548 BLAKE2B 535a3f846a7a10dcfaec4447ae852c6c4d870a573169f84e31f61c361164caea989f911df2d18e183c391dd0130a10b9422057eecaab304bebbb022f78e22a21 SHA512 3c8e440bfc55579d0c9a03ecae516d4cef49512ad9fdd6fceef37618c163ecac6d77a2b17b6cbb7131ceb3787904486bb78eef84a36a5f76672918db6d30db86
-DIST puppetdb-termini_8.1.0-1focal_all.deb 21764 BLAKE2B b45c0fd944422511d2419a1e27a92f348415369ffcd27a53ad8244b2fb993bc735f291b5ae4277706b204c73402c110245a1d750adaaa4bfb94f5133adb4812d SHA512 51cf64d4e08275072a5fbfb7df273574acfe57c228d13d55a96975e26ab0eedd02280ba5dc08441f2e691cdeef10ae771ce26f14f05b2dfeaed4945041687a15
DIST puppetdb-termini_8.2.0-1focal_all.deb 21850 BLAKE2B 3f2d35a24c3884fdc985cd22e2c27d159dbea80272f5d1510634fc3b93079fd33e2b4f19963e2e122eb25829aa118ac13a84d6838c73ccb54305afc7876f8fc6 SHA512 ebf05f85d4bd455498a40b0210a6fc0cbfed4d0991d5a3d5780eb1b99a2f93f64407d6465d010c53ff55a0a3fcfab6f411c851d95a9e028945634644baef5163
diff --git a/dev-ruby/puppetdb-termini/puppetdb-termini-8.1.0.ebuild b/dev-ruby/puppetdb-termini/puppetdb-termini-8.1.0.ebuild
deleted file mode 100644
index f2f2942a0247..000000000000
--- a/dev-ruby/puppetdb-termini/puppetdb-termini-8.1.0.ebuild
+++ /dev/null
@@ -1,28 +0,0 @@
-# Copyright 1999-2023 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=7
-
-USE_RUBY="ruby26 ruby27 ruby30 ruby31"
-
-inherit unpacker
-
-DESCRIPTION="Library needed to connect puppet to puppetdb"
-HOMEPAGE="https://puppet.com/docs/puppetdb/latest/index.html"
-SRC_URI="http://apt.puppetlabs.com/pool/focal/puppet8/${PN:0:1}/${PN}/${PN}_${PV}-1focal_all.deb"
-
-LICENSE="Apache-2.0"
-SLOT="0"
-IUSE=""
-# will need the same keywords as puppet
-KEYWORDS="amd64 ~arm64 ~ppc x86"
-
-RDEPEND+=""
-DEPEND+=""
-
-S=${WORKDIR}
-
-src_install() {
- insinto opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet/
- doins -r opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet/*
-}
diff --git a/dev-ruby/rash_alt/rash_alt-0.4.12.ebuild b/dev-ruby/rash_alt/rash_alt-0.4.12.ebuild
index 6938fa863350..58428c73e398 100644
--- a/dev-ruby/rash_alt/rash_alt-0.4.12.ebuild
+++ b/dev-ruby/rash_alt/rash_alt-0.4.12.ebuild
@@ -1,8 +1,8 @@
-# Copyright 1999-2023 Gentoo Authors
+# Copyright 1999-2024 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=8
-USE_RUBY="ruby30 ruby31 ruby32"
+USE_RUBY="ruby31 ruby32 ruby33"
RUBY_FAKEGEM_RECIPE_TEST="rspec3"
diff --git a/dev-ruby/regexp_property_values/Manifest b/dev-ruby/regexp_property_values/Manifest
index da7638e427fd..f4fb3307ca6c 100644
--- a/dev-ruby/regexp_property_values/Manifest
+++ b/dev-ruby/regexp_property_values/Manifest
@@ -1 +1,2 @@
DIST regexp_property_values-1.4.0.tar.gz 13719 BLAKE2B e0569e5387d5186829e40a8fdeec1fbd8534356ec73cce5525b6259938534fe8d1e3a15664faa7903a93e5a7330e6cbc6281b79be74cd4d1b13865084e1f42a4 SHA512 f8b425f001f4b9f6b373d9b47d7b87baf369719c2ae1385d68932f31d0a392086d3ed8b48461cbf59568668722975a98935c56fa470ce7ba466c29a30442bf6e
+DIST regexp_property_values-1.5.1.tar.gz 13901 BLAKE2B 32236b67ff4fc932fc30638a8fc85745d2c74445d4009c06de94652b82238599dd90e73d9ebd63690604fd1c3d413cddba3290a732150726126dcd3361f5eb47 SHA512 0787105195c22cfb499d37e5a2adb7ca52d23d291280ed9b5dcc38e6b03d260e341bdf56ba1bf643cc6cdf9436fe2287e5f139cdbd11cf4c71da256767f75754
diff --git a/dev-ruby/regexp_property_values/regexp_property_values-1.5.1.ebuild b/dev-ruby/regexp_property_values/regexp_property_values-1.5.1.ebuild
new file mode 100644
index 000000000000..dd0be2885d42
--- /dev/null
+++ b/dev-ruby/regexp_property_values/regexp_property_values-1.5.1.ebuild
@@ -0,0 +1,36 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+USE_RUBY="ruby31 ruby32 ruby33"
+
+RUBY_FAKEGEM_EXTRADOC="README.md"
+
+RUBY_FAKEGEM_RECIPE_TEST="rspec3"
+
+RUBY_FAKEGEM_BINWRAP=""
+
+RUBY_FAKEGEM_GEMSPEC="${PN}.gemspec"
+
+RUBY_FAKEGEM_EXTENSIONS=(ext/regexp_property_values/extconf.rb)
+RUBY_FAKEGEM_EXTENSION_LIBDIR="lib/regexp_property_values"
+
+inherit ruby-fakegem
+
+DESCRIPTION="See which property values are supported by the regular expression engine"
+HOMEPAGE="https://github.com/jaynetics/regexp_property_values"
+SRC_URI="https://github.com/jaynetics/regexp_property_values/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="1"
+KEYWORDS="~amd64 ~arm ~arm64 ~hppa ~ppc ~ppc64 ~riscv ~sparc ~x86"
+
+all_ruby_prepare() {
+ sed -i -e 's/git ls-files -z/find * -print0/' ${RUBY_FAKEGEM_GEMSPEC} || die
+ sed -i -e '/bundler/ s:^:#:' spec/spec_helper.rb || die
+
+ # Avoid dependency on character_set which would lead to circular
+ # dependencies.
+ sed -e '/returns a CharacterSet/askip "gentoo circular dependencies"' \
+ -i spec/regexp_property_values/value_spec.rb || die
+}